Bug 1294499 - [abrt] audacity: strlen(): audacity killed by SIGSEGV
[abrt] audacity: strlen(): audacity killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: audacity (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Timms
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3fcee6edfade89efdc07eea9524...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-28 09:29 EST by Arun Raghavan
Modified: 2016-03-05 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version: audacity-2.1.2-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-05 17:22:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.47 KB, text/plain)
2015-12-28 09:29 EST, Arun Raghavan
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-28 09:29 EST, Arun Raghavan
no flags Details
File: core_backtrace (3.50 KB, text/plain)
2015-12-28 09:29 EST, Arun Raghavan
no flags Details
File: dso_list (16.23 KB, text/plain)
2015-12-28 09:29 EST, Arun Raghavan
no flags Details
File: environ (3.41 KB, text/plain)
2015-12-28 09:29 EST, Arun Raghavan
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-28 09:29 EST, Arun Raghavan
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-28 09:29 EST, Arun Raghavan
no flags Details
File: maps (75.60 KB, text/plain)
2015-12-28 09:29 EST, Arun Raghavan
no flags Details
File: mountinfo (3.71 KB, text/plain)
2015-12-28 09:29 EST, Arun Raghavan
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-28 09:29 EST, Arun Raghavan
no flags Details
File: open_fds (1023 bytes, text/plain)
2015-12-28 09:29 EST, Arun Raghavan
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2015-12-28 09:29 EST, Arun Raghavan
no flags Details
File: var_log_messages (294 bytes, text/plain)
2015-12-28 09:29 EST, Arun Raghavan
no flags Details
Log when run for a fresh user (2.69 KB, text/plain)
2016-01-03 22:02 EST, Arun Raghavan
no flags Details

  None (edit)
Description Arun Raghavan 2015-12-28 09:29:02 EST
Description of problem:
Crash occurs on startup

Version-Release number of selected component:
audacity-2.1.2-0.7.rc1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        audacity
crash_function: strlen
executable:     /usr/bin/audacity
global_pid:     14133
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 g_strdup at gstrfuncs.c:362
 #2 CORBA_Context_set_one_value at corba-context.c:115
 #3 do_low_level_init at bonobo-ui-main.c:197
 #4 gnome_program_postinit at gnome-program.c:1835
 #5 gnome_program_init_common at gnome-program.c:2072
 #6 gnome_program_initv at gnome-program.c:2109
 #7 gnome_program_init at gnome-program.c:1888
 #8 GnomeShutdown::GnomeShutdown at AudacityApp.cpp:556
 #9 __static_initialization_and_destruction_0 at AudacityApp.cpp:583
Comment 1 Arun Raghavan 2015-12-28 09:29:10 EST
Created attachment 1110008 [details]
File: backtrace
Comment 2 Arun Raghavan 2015-12-28 09:29:13 EST
Created attachment 1110009 [details]
File: cgroup
Comment 3 Arun Raghavan 2015-12-28 09:29:15 EST
Created attachment 1110010 [details]
File: core_backtrace
Comment 4 Arun Raghavan 2015-12-28 09:29:18 EST
Created attachment 1110011 [details]
File: dso_list
Comment 5 Arun Raghavan 2015-12-28 09:29:20 EST
Created attachment 1110012 [details]
File: environ
Comment 6 Arun Raghavan 2015-12-28 09:29:22 EST
Created attachment 1110013 [details]
File: exploitable
Comment 7 Arun Raghavan 2015-12-28 09:29:24 EST
Created attachment 1110014 [details]
File: limits
Comment 8 Arun Raghavan 2015-12-28 09:29:28 EST
Created attachment 1110015 [details]
File: maps
Comment 9 Arun Raghavan 2015-12-28 09:29:30 EST
Created attachment 1110016 [details]
File: mountinfo
Comment 10 Arun Raghavan 2015-12-28 09:29:32 EST
Created attachment 1110017 [details]
File: namespaces
Comment 11 Arun Raghavan 2015-12-28 09:29:34 EST
Created attachment 1110018 [details]
File: open_fds
Comment 12 Arun Raghavan 2015-12-28 09:29:36 EST
Created attachment 1110019 [details]
File: proc_pid_status
Comment 13 Arun Raghavan 2015-12-28 09:29:38 EST
Created attachment 1110020 [details]
File: var_log_messages
Comment 14 Arun Raghavan 2015-12-28 19:43:26 EST
p.s. Moving ~/.audacity-data out of the way did not help
Comment 15 David Timms 2015-12-31 21:32:18 EST
bug #1294242 has same strlen crash trace.

Does Audacity work with a freshly created user account ?

What audio hardware is being checked / invoked ?
- start gneom-terminal
- audacity

and capture that to a text file and submit as an attachment, please.
Comment 16 Fedora Update System 2016-01-01 19:59:25 EST
audacity-2.1.2-0.8.rc2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-558a83f721
Comment 17 Fedora Update System 2016-01-02 22:23:02 EST
audacity-2.1.2-0.8.rc2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-558a83f721
Comment 18 Arun Raghavan 2016-01-03 22:02 EST
Created attachment 1111279 [details]
Log when run for a fresh user

Oddly enough, this did work for a fresh user. Attaching log.
Comment 19 Arun Raghavan 2016-01-03 22:08:44 EST
The ABI warning is gone if I also update wxGTK3 (and wxBase3) from updates-testing.
Comment 20 Arun Raghavan 2016-01-03 22:09:57 EST
The backtrace I have looks identical to #1294242 so marking as dupe and we can continue trying to figure this out there.

*** This bug has been marked as a duplicate of bug 1294242 ***
Comment 21 Fedora Update System 2016-03-03 14:29:25 EST
audacity-2.1.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee19511560
Comment 22 Fedora Update System 2016-03-04 21:23:18 EST
audacity-2.1.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee19511560
Comment 23 Fedora Update System 2016-03-05 17:21:39 EST
audacity-2.1.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.